org.eclipse.wst.jsdt.core

## Interface ISourceRange

    public interface ISourceRange

A source range defines an element's source coordinates relative to its source buffer.

This interface is not intended to be implemented by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getLength()` Returns the number of characters of the source code for this element, relative to the source buffer in which this element is contained.
`int` `getOffset()` Returns the 0-based index of the first character of the source code for this element, relative to the source buffer in which this element is contained.

### Method Detail

#### getLength

    int getLength()

Returns the number of characters of the source code for this element, relative to the source buffer in which this element is contained.

Returns:
  the number of characters of the source code for this element, relative to the source buffer in which this element is contained

#### getOffset

    int getOffset()

Returns the 0-based index of the first character of the source code for this element, relative to the source buffer in which this element is contained.

Returns:
  the 0-based index of the first character of the source code for this element, relative to the source buffer in which this element is contained